#####VISUAL FUNCTIONS
Function SetWindowSize()
{
	$a=(Get-Host).UI.RawUI
	$a.BackgroundColor = "Black"
	$a.ForegroundColor = "White"
	$a.WindowTitle = "Sealing Technologies Automation Tools"
	$newsize = $a.buffersize
	$newsize.height = 3000
	$newsize.width = 130
	$a.buffersize = $newsize
	$newsize = $a.windowsize
	$newsize.height = 58
	$newsize.width = 130
	$a.windowsize = $newsize
}

Function SetStandardColors()
{
	$a=(Get-Host).UI.RawUI
	$a.BackgroundColor = "Black"
	$a.ForegroundColor = "Yellow"
}

#PRINT FUNCTIONS
Function PrintLogo()
{
	SetWindowSize
	Write-Host "                                                                     //"
	Write-Host "	                                                           / /	"
	Write-Host "	                                                         /  /	"
	Write-Host "	                                                       /   /	"
	Write-Host "	                                                     /    /  	"
	Write-Host "	                                                   /     /	"
	Write-Host "	                                                 /      /	"
	Write-Host "	                                               /       /____	"
	Write-Host "	  ___   _____                           __   /           __/____   ______     __    _    _	"
	Write-Host "	 /   \ |        /\   |      | |    |   /  \/____        |__   __| |  ____|  / ___\ | |  | |	"
	Write-Host "	|      |       /  \  |      | |\   |  /        /       /   | |    | |____  | /     | |__| | "
	Write-Host "	 \___  |____  /    \ |      | | \  | |   ___  /      /     | |    |  ____| | |     |  __  |	"
	Write-Host "	     \ |      |----| |      | |  \ | |      |/     /       | |    | |____  | \____ | |  | |"
	Write-Host "	      ||      |    | |      | |   \|  \    //    /         |_|    |______|  \____/ |_|  |_|	"
	Write-Host "	 \___/ |_____ |    | |_____ | |    |   \__//   /              	"
	Write-Host "	                                          /  /	"
	Write-Host "	                                         / /  	"
	Write-Host "	                                        //	"
	SetStandardColors
}

Function PrintColorLogo()
{
	SetWindowSize
	clear
	Write-Host -foregroundcolor Red "                                                                     //"
	Write-Host -foregroundcolor Red "	                                                           / /	"
	Write-Host -foregroundcolor Red "	                                                         /  /	"
	Write-Host -foregroundcolor Red "	                                                       /   /	"
	Write-Host -foregroundcolor Red "	                                                     /    /  	"
	Write-Host -foregroundcolor Red "	                                                   /     /	"
	Write-Host -foregroundcolor Red "	                                                 /      /	"
	Write-Host -foregroundcolor Red "	                                               /       /____	"
	Write-Host "	  ___   _____                           __   " -nonewline
	Write-Host -f Red "/           " -nonewline
	Write-Host "__" -nonewline
	Write-Host -f Red "/" -nonewline
	Write-Host "____   ______     __    _    _	"
	
	
	Write-Host "	 /   \ |        /\   |      | |    |   /  \" -nonewline
	Write-Host -f Red "/____" -nonewline
    Write-Host "	|__   __| |  ____|  / ___\ | |  | |	"
	
	Write-Host "	|      |       /  \  |      | |\   |  /        " -nonewline
	Write-Host -f Red "/       /" -nonewline
	Write-Host "   | |    | |____  | /     | |__| | "
	
	Write-Host "	 \___  |____  /    \ |      | | \  | |   ___  " -NoNewLine
	Write-Host -f Red "/      /" -nonewline  
	Write-Host "     | |    |  ____| | |     |  __  |	"
	
	Write-Host "	     \ |      |----| |      | |  \ | |      |"-NoNewLine
	Write-Host -f Red "/     /" -NoNewLine
	
	Write-Host "       | |    | |____  | \____ | |  | |"
	Write-Host "	      ||      |    | |      | |   \|  \    /"-NoNewLine
	Write-Host -f Red "/    /" -NoNewLine
	Write-Host "         |_|    |______|  \____/ |_|  |_|	"
	Write-Host "	 \___/ |_____ |    | |_____ | |    |   \__/" -NoNewLine
	Write-Host -f Red "/   /              	"
	
	Write-Host -f Red "	                                          /  /	"
	Write-Host -f Red "	                                         / /  	"
	Write-Host -f Red "	                                        //	"
	
	SetStandardColors
}

Function PrintLine()
{
	Write-Host
	Write-Host
	$underline = "=" * 101
	$underline
	Write-Host
	Write-Host
}